07/09/2015 06:14 PM - Daniel Lobato Garcia

Status: Closed
Priority: Normal
Assignee: Daniel Lobato Garcia
Category: Rails
Target version: 1.10.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2533
Description

find_all_by_attribute is not valid syntax on Rails 4

Associated revisions

Revision 890e765e - 07/14/2015 03:35 AM - Daniel Lobato Garcia
Fixes #11078 - Substitute find_all_by by where to comply with Rails 4

This commit takes away all instances up to this point of find_all_by to
improve Rails 4 compatibility. They are substituted by .where calls.

History

#1 - 07/09/2015 06:16 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2533 added
- Pull request deleted ()

#2 - 07/14/2015 03:37 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#3 - 07/14/2015 04:02 AM - Daniel Lobato Garcia
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 890e765ecb9cfb1d06ac5c611d88be914a02eb30.
